dots.v2.functions.namespaces.get()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.functions.namespaces.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | NamespacesGetResponse>

Description

Returns a list of namespaces associated with the current user. To get all namespaces, send a GET request to /v2/functions/namespaces.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.functions.namespaces.get();

Response Example

Show Response Example
{
  "namespaces": []
}

More Information

See /v2/functions/namespaces in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.